{% extends "base.html" %}
{% load static i18n %}

{% block content %}
  <div class="row">
    <div class="col">
      <p class="h1 text-center mt-4"><i class="bi-upc-scan"></i> {{ object.rescue_number }}</p>
    </div>
  </div>
  <div class="row">
    <div class="col">
      <table class="table">
        <thead>
          <tr>
            <th>{% translate 'name'|capfirst %}</th>
            {% if perms.artefacts.view_artefacttype %}
              <th>{% translate 'type'|capfirst %}</th>
            {% endif %}
            {% if perms.artefacts.view_prioritylevel %}
              <th>{% translate 'priority'|capfirst %}</th>
            {% endif %}
          </tr>
        </thead>
        <tbody>
         <tr>
            <td>
              {% if object.hazard %}<i class="bi {{ object.hazard.icon_class }} text-danger ms-2"></i>{% endif %}
              {% if object.composed_object %}<i class="bi {{ object.icon }} ms-2"></i>{% endif %}
              {{ object.name }}{% if object.inventory_number %} ({{ object.inventory_number }}){% endif %}</td>
            {% if perms.artefacts.view_artefacttype %}
              <td>{% if object.artefact_type %}{{ object.artefact_type }}{% endif %}</td>

              <td>{% if object.priority %}<span class="color-box" style="background-color:{{ object.priority.color }}"></span>{{ object.priority }}{% endif %}</td>
            {% endif %}
         </tr>
        </tbody>
      </table>
    </div>
  <div class="row mt-4">
    <div class="col">
      {% if measure.status == measure.IN_TREATMENT %}
        <p>
          <a href="{% url 'artefacts:finish-stabilization' pk=measure.pk %}" class="btn btn-warning btn-lg w-100">
            {% translate 'Finish stabilization measure : ' %} {{ measure.treatment_type }}
          </a>
        </p>
      {% elif measure.status != measure.FINISH %}
        <p>
          <a href="{% url 'artefacts:start-stabilization' pk=measure.pk processing_line_id=processing_line.pk %}" class="btn btn-success btn-lg w-100">
            {% translate 'Start process stabilization measures : ' %} {{ measure.treatment_type }}
          </a>
        </p>
      {% endif %}
      <p><a href="{{ object.get_absolute_url }}" class="btn btn-outline-secondary btn-lg w-100">{% translate 'View artefact' %}</a></p>
    </div>
  </div>
{% endblock content %}
